FROM rust:1.89.0 AS builder

WORKDIR /usr/src/asklyphe/
COPY asklyphe-frontend asklyphe-frontend
COPY asklyphe-common asklyphe-common
COPY lyphedb lyphedb
COPY unit_converter unit_converter

RUN --mount=type=cache,target=$CARGO_HOME/registry,sharing=locked \
	--mount=type=cache,target=/usr/src/asklyphe/asklyphe-frontend/target \
	--mount=type=cache,target=$CARGO_HOME/git/db,sharing=locked \
	cargo install --debug --path asklyphe-frontend/

FROM debian:trixie-slim
RUN apt-get update && apt-get upgrade -y && apt-get install -y libssl3 && rm -rf /var/lib/apt-get/lists/*
COPY --from=builder /usr/local/cargo/bin/asklyphe-frontend /usr/local/bin/
COPY --from=builder /usr/src/asklyphe/asklyphe-frontend/static /data/static
VOLUME /data

CMD ["asklyphe-frontend"]
